# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-DateTime-Format-MySQL
Version:	0.04	    
Release:	12.%{__distinit}%{__distvers}
Summary:	Parse and format MySQL dates and times 
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/DateTime-Format-MySQL	     
Source0:	http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/DateTime-Format-MySQL-%{version}.tar.gz	   
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch 
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(DateTime::Format::Builder)
BuildRequires:	perl(Test::More)
Requires:	perl(DateTime::Format::Builder)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module understands the formats used by MySQL for its DATE, DATETIME,
TIME, and TIMESTAMP data types. It can be used to parse these formats in order
to create DateTime objects, and it can take a DateTime object and produce a
string representing it in the MySQL format.

%prep
%setup -q -n DateTime-Format-MySQL-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} \;
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
LC_ALL=C %{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::Format::MySQL.3pm*

%changelog
* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 0.04-12
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> 0.04-11
- Fix dist tag for RHEL-6 Beta

* Thu Feb  4 2010 Paul Howarth <paul@city-fan.org> 0.04-10
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> 0.04-9
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.04-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.04-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.04-6
- Rebuild for new perl

* Tue Jan 01 2008 Ralf Corsépius <rc040203@freenet.de> 0.04-5
- Adjust License-tag
- Add BR: perl(Test::More) (BZ 419631)
- Minor spec cosmetics

* Fri Sep 08 2006 Chris Weyl <cweyl@alumni.drew.edu>
- Add missing explicit requires on perl(DateTime::Format::Builder)
- Misc spec tweaks

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.04-3
- Bump for mass rebuild

* Thu Aug 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.04-2
- Bump for build & release

* Fri Aug 04 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- Initial spec file for F-E
